List form submissions
curl --request GET \
--url https://api.onlyform.com/v1/forms/{formId}/submissions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.onlyform.com/v1/forms/{formId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.onlyform.com/v1/forms/{formId}/submissions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.onlyform.com/v1/forms/{formId}/submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"form_id": "<string>",
"status": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"metadata": {
"country": "<string>",
"device": "<string>",
"user_agent": "<string>",
"utm": {}
},
"answers": [
{
"field": {
"id": "<string>",
"type": "<string>",
"label": "<string>"
},
"value": "<unknown>"
}
],
"completion_time": 123
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}Submissions
List form submissions
Requires submissions:read.
GET
https://api.onlyform.com
/
v1
/
forms
/
{formId}
/
submissions
List form submissions
curl --request GET \
--url https://api.onlyform.com/v1/forms/{formId}/submissions \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.onlyform.com/v1/forms/{formId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.onlyform.com/v1/forms/{formId}/submissions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.onlyform.com/v1/forms/{formId}/submissions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"form_id": "<string>",
"status": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"metadata": {
"country": "<string>",
"device": "<string>",
"user_agent": "<string>",
"utm": {}
},
"answers": [
{
"field": {
"id": "<string>",
"type": "<string>",
"label": "<string>"
},
"value": "<unknown>"
}
],
"completion_time": 123
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": [
{}
]
}Authorizations
A scoped key with the of_live_ prefix, generated from Profile > API keys.
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Example:
"507f1f77bcf86cd799439011"
Query Parameters
Number of records to return.
Required range:
1 <= x <= 100Opaque next_cursor value from the previous page.
Include submissions at or after this timestamp.
Include submissions at or before this timestamp.
Was this page helpful?
⌘I